This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 817360 - [AIO] engine-setup should adjust the local storage directory's permissions before using it
[AIO] engine-setup should adjust the local storage directory's permissions be...
Status: CLOSED CURRENTRELEASE
Product: oVirt
Classification: Community
Component: ovirt-engine-installer (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.1
Assigned To: Alex Lourie
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-29 08:10 EDT by Rami Vaknin
Modified: 2014-01-12 18:54 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-09 04:01:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rami Vaknin 2012-04-29 08:10:13 EDT
Scenario:
I created a directory for local storage but without permissions (chmod 000 /dir), creation of local storage failed, engine-setup with All-in-one plugin didn't change the dir's permissions, it handled only the dir's user and gruop. Note that the same scenario on the iso domain doesn't reproduce.

AIO: Adding Local storage (This may take several minutes)...    [ ERROR ]
Error: could not add local storage domain

2012-04-25 10:56:38::INFO::all_in_one_100::279::root:: Creating local storage domain
2012-04-25 10:56:38::INFO::all_in_one_100::287::root:: Adding local storage domain
2012-04-25 10:56:41::ERROR::all_in_one_100::290::root:: Traceback (most recent call last):

    File "/usr/share/ovirt-engine/scripts/plugins/all_in_one_100.py", line 288, in addStorageDomain
        controller.CONF["API_OBJECT"].storagedomains.add(sdParams)
    File "/usr/lib/python2.7/site-packages/ovirtsdk/infrastructure/brokers.py", line 2739, in add
        body=ParseHelper.toXml(storagedomain))
    File "/usr/lib/python2.7/site-packages/ovirtsdk/infrastructure/proxy.py", line 42, in add
        return self.request('POST', url, body, headers)
    File "/usr/lib/python2.7/site-packages/ovirtsdk/infrastructure/proxy.py", line 52, in request
        conn=self.getConnectionsPool().getConnection())
    File "/usr/lib/python2.7/site-packages/ovirtsdk/infrastructure/proxy.py", line 62, in __doRequest
        raise RequestError, response

RequestError:
status: 400
reason: Bad Request
detail: []
...
...

    File "/usr/bin/engine-setup", line 2703, in <module>
        main(confFile)
    File "/usr/bin/engine-setup", line 2494, in main
        runSequences()
    File "/usr/bin/engine-setup", line 2440, in runSequences
        controller.runAllSequences()
    File "/usr/share/ovirt-engine/scripts/setup_controller.py", line 54, in runAllSequences
        sequence.run()
    File "/usr/share/ovirt-engine/scripts/setup_sequences.py", line 152, in run
        step.run()
    File "/usr/share/ovirt-engine/scripts/setup_sequences.py", line 59, in run
        function()
    File "/usr/share/ovirt-engine/scripts/plugins/all_in_one_100.py", line 291, in addStorageDomain
        raise Exception(ERROR_ADD_LOCAL_DOMAIN)
Exception: Error: could not add local storage domain
Comment 1 Alex Lourie 2012-04-30 06:59:10 EDT
Fix posted: http://gerrit.ovirt.org/#change,4033
Comment 3 Itamar Heim 2012-08-09 04:01:50 EDT
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/
Comment 4 Itamar Heim 2012-08-09 04:03:22 EDT
closing ON_QA bugs as oVirt 3.1 was released:
http://www.ovirt.org/get-ovirt/

Note You need to log in before you can comment on or make changes to this bug.